## gconf-listeners

gconf-listeners —

## Synopsis

    struct      GConfListeners;
    void        (*GConfListenersCallback)       (GConfListeners *listeners,
                                                 const gchar *all_above_key,
                                                 guint cnxn_id,
                                                 gpointer listener_data,
                                                 gpointer user_data);
    GConfListeners* gconf_listeners_new         (void);
    void        gconf_listeners_free            (GConfListeners *listeners);
    guint       gconf_listeners_add             (GConfListeners *listeners,
                                                 const gchar *listen_point,
                                                 gpointer listener_data,
                                                 GFreeFunc destroy_notify);
    void        gconf_listeners_remove          (GConfListeners *listeners,
                                                 guint cnxn_id);
    void        gconf_listeners_notify          (GConfListeners *listeners,
                                                 const gchar *all_above,
                                                 GConfListenersCallback callback,
                                                 gpointer user_data);
    guint       gconf_listeners_count           (GConfListeners *listeners);

## Description

## Details

### struct GConfListeners

    struct GConfListeners;

### GConfListenersCallback ()

    void        (*GConfListenersCallback)       (GConfListeners *listeners,
                                                 const gchar *all_above_key,
                                                 guint cnxn_id,
                                                 gpointer listener_data,
                                                 gpointer user_data);

`listeners` : |
`all_above_key` : |
`cnxn_id` : |
`listener_data` : |
`user_data` : |

### gconf_listeners_new ()

    GConfListeners* gconf_listeners_new         (void);

Returns : |

### gconf_listeners_free ()

    void        gconf_listeners_free            (GConfListeners *listeners);

`listeners` : |

### gconf_listeners_add ()

    guint       gconf_listeners_add             (GConfListeners *listeners,
                                                 const gchar *listen_point,
                                                 gpointer listener_data,
                                                 GFreeFunc destroy_notify);

`listeners` : |
`listen_point` : |
`listener_data` : |
`destroy_notify` : |
Returns : |

### gconf_listeners_remove ()

    void        gconf_listeners_remove          (GConfListeners *listeners,
                                                 guint cnxn_id);

`listeners` : |
`cnxn_id` : |

### gconf_listeners_notify ()

    void        gconf_listeners_notify          (GConfListeners *listeners,
                                                 const gchar *all_above,
                                                 GConfListenersCallback callback,
                                                 gpointer user_data);

`listeners` : |
`all_above` : |
`callback` : |
`user_data` : |

### gconf_listeners_count ()

    guint       gconf_listeners_count           (GConfListeners *listeners);

`listeners` : |
Returns : |